<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.user.biz.mapper.KxsUserAmountMapper">

    <resultMap type="com.kxs.user.api.model.KxsUserAmount" id="KxsUserAmountMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="amount" property="amount" />
        <result column="use_amount" property="useAmount" />
        <result column="frozen_amount" property="frozenAmount" />
        <result column="cash_withdrawal_amount" property="cashWithdrawalAmount" />
        <result column="total_amount" property="totalAmount" />
        <result column="user_id" property="userId" />
        <result column="status" property="status" />
        <result column="remark" property="remark" />
        <result column="advance_amount" property="advanceAmount" />
        <result column="leader_reserve" property="leaderReserve" />
        <result column="leader_balance_amount" property="leaderBalanceAmount" />
        <result column="leader_advance_amount" property="leaderAdvanceAmount" />
        <result column="partner_advance_amount" property="partnerAdvanceAmount" />

    </resultMap>

</mapper>
